org.apache.directory.mavibot.btree

## Class InMemoryTransactionManager

- java.lang.Object
- - org.apache.directory.mavibot.btree.AbstractTransactionManager
  - - org.apache.directory.mavibot.btree.InMemoryTransactionManager

- All Implemented Interfaces:
    TransactionManager

      public class InMemoryTransactionManager
      extends AbstractTransactionManager

  An implementation of a TransactionManager for in-memory B-trees
  Author:
    Apache Directory Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryTransactionManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginTransaction()` Starts a transaction
    `void` | `commit()` Commits a transaction
    `org.apache.directory.mavibot.btree.BTreeHeader` | `getBTreeHeader(String name)` Get the current BTreeHeader for a given Btree.
    `void` | `rollback()` Rollback a transaction
    `void` | `updateNewBTreeHeaders(org.apache.directory.mavibot.btree.BTreeHeader btreeHeader)` Updates the map of new BTreeHeaders

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryTransactionManager

          public InMemoryTransactionManager()

  - ### Method Detail

    - #### beginTransaction

          public void beginTransaction()

      Starts a transaction

    - #### commit

          public void commit()

      Commits a transaction

    - #### rollback

          public void rollback()

      Rollback a transaction

    - #### getBTreeHeader

          public org.apache.directory.mavibot.btree.BTreeHeader getBTreeHeader(String name)

      Get the current BTreeHeader for a given Btree. It might not exist
      Parameters:
        `name` - The Btree name we are looking the BtreeHeader for
      Returns:
        the current BTreeHeader

    - #### updateNewBTreeHeaders

          public void updateNewBTreeHeaders(org.apache.directory.mavibot.btree.BTreeHeader btreeHeader)

      Updates the map of new BTreeHeaders
      Parameters:
        `btreeHeader` - The new BtreeHeader

Copyright © 2012–2015 Apache Mavibot Project Parent. All rights reserved.